## org.gnu.gdk
Class LineStyle

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.LineStyle

public class LineStyle
extends org.gnu.glib.Enum

Field Summary
`static LineStyle` `DOUBLE_DASH` Even segments are normally.
`static LineStyle` `ON_OFF_DASH` Even segments are drawn; odd segments are not drawn.
`static LineStyle` `SOLID` Lines are drawn solid.

Method Summary
`LineStyle` `and(LineStyle other)`
`static LineStyle` `intern(int value)`
`LineStyle` `or(LineStyle other)`
`boolean` `test(LineStyle other)`
`LineStyle` `xor(LineStyle other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOLID

    public static final LineStyle SOLID

  Lines are drawn solid.

### ON_OFF_DASH

    public static final LineStyle ON_OFF_DASH

  Even segments are drawn; odd segments are not drawn.

### DOUBLE_DASH

    public static final LineStyle DOUBLE_DASH

  Even segments are normally. Odd segments are drawn in the background color if the fill style is SOLID, or in the background color masked by the stipple if the fill style is STIPPLED.

Method Detail

### intern

    public static LineStyle intern(int value)

### or

    public LineStyle or(LineStyle other)

### and

    public LineStyle and(LineStyle other)

### xor

    public LineStyle xor(LineStyle other)

### test

    public boolean test(LineStyle other)